@import url("https://fonts.googleapis.com/css?family=Roboto:300,400");
body {
    background-color: #2f3640;
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
}

.header {
    background-color: #0097e6;
    width: 100%;
    height: 60px;
    text-align: center;
    vertical-align: middle;
}
.header #search svg {
    fill: #F2F2F2;
    position: absolute;
    height: 36px;
    width: 36px;
    top: 12px;
    right: 25px;
    opacity: .75;
}
.header #search svg:hover, .header #search.active > svg {
    opacity: 1;
}

.header span {
    color: #fff;
    display: inline-block;
    font-size: 25px;
    font-family: 'Open Sans', sans-serif;
    margin-top: 16px;
}

.content {
    height: 80vh;
    align-items: center;
    width: calc(100% - 80px);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: 0 auto;
}
.content .box {
    flex: 1;
    background-color: transparent;
    opacity: .9;
    min-width: 250px;
    height: 200px;
    /*margin: 10px;*/
    /*box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);*/
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 16px;
}


/* Searchbox relevant style */
#searchbox {
    position: relative;
    background: #F2F2F2;
    width: calc(100% - 120px);
    margin: 20px auto;
    overflow: hidden;
    height: 0px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}
#searchbox.show {
    animation: reveal-search ease .75s forwards;
    height: 80px;
}
#searchbox.hide {
    animation: hide-search ease .25s forwards;
}
#searchbox svg {
    margin: auto 0;
    position: absolute;
    height: 50px;
    fill: #B2AFAF;
    top: 0;
    bottom: 0;
}
#searchbox svg.magnify {
    left: 20px;
    right: 0;
    fill: #B2AFAF;
}
#searchbox svg.close {
    right: 20px;
}
#searchbox svg.close:hover {
    cursor: pointer;
}
#searchbox input {
    width: calc(100% - 160px);
    line-height: 80px;
    font-size: 30px;
    max-height: 90px;
    border: 0;
    padding: 0 2vw;
    font-weight: 300;
    color: #B2AFAF;
    padding-left: 80px;
    background: transparent;
}
#searchbox input:focus {
    outline: 0;
}
#searchbox input:-moz-placeholder {
    color: #bfbfbf;
}
#searchbox input::-moz-placeholder {
    color: #bfbfbf;
}
#searchbox input:-ms-input-placeholder {
    color: #bfbfbf;
}
#searchbox input::-webkit-input-placeholder {
    color: #bfbfbf;
}

@keyframes reveal-search {
    0% {
        height: 0;
        -moz-transform: scaleX(0);
        -ms-transform: scaleX(0);
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        border-radius: 50%;
    }
    50% {
        height: 80px;
        -moz-transform: scaleX(0);
        -ms-transform: scaleX(0);
        -webkit-transform: scaleX(0);
        transform: scaleX(0);
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        border-radius: 50%;
    }
    100% {
        -moz-transform: scaleX(1);
        -ms-transform: scaleX(1);
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
        -moz-border-radius: 0;
        -webkit-border-radius: 0;
        border-radius: 0;
    }
}
@keyframes hide-search {
    0% {
        height: 80px;
        -moz-transform: scaleY(0);
        -ms-transform: scaleY(0);
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
    }
    100% {
        height: 0;
        -moz-transform: scaleY(0);
        -ms-transform: scaleY(0);
        -webkit-transform: scaleY(0);
        transform: scaleY(0);
    }
}



/* Loading CSS */
.lds-grid {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-grid div {
    position: absolute;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background: #cef;
    animation: lds-grid 1.2s linear infinite;
}
.lds-grid div:nth-child(1) {
    top: 8px;
    left: 8px;
    animation-delay: 0s;
}
.lds-grid div:nth-child(2) {
    top: 8px;
    left: 32px;
    animation-delay: -0.4s;
}
.lds-grid div:nth-child(3) {
    top: 8px;
    left: 56px;
    animation-delay: -0.8s;
}
.lds-grid div:nth-child(4) {
    top: 32px;
    left: 8px;
    animation-delay: -0.4s;
}
.lds-grid div:nth-child(5) {
    top: 32px;
    left: 32px;
    animation-delay: -0.8s;
}
.lds-grid div:nth-child(6) {
    top: 32px;
    left: 56px;
    animation-delay: -1.2s;
}
.lds-grid div:nth-child(7) {
    top: 56px;
    left: 8px;
    animation-delay: -0.8s;
}
.lds-grid div:nth-child(8) {
    top: 56px;
    left: 32px;
    animation-delay: -1.2s;
}
.lds-grid div:nth-child(9) {
    top: 56px;
    left: 56px;
    animation-delay: -1.6s;
}
@keyframes lds-grid {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0.5;
    }
}
